#include <cairo.h>
#include <strings.h>

int
main (int argc, char *argv[])
{
  unsigned char scratch[132]="";
        (void) strcpy(scratch,"Hello World");
        scratch[1]=0xc2;  //UTF8 version of b3  should be ge symbol
        scratch[2]=0xb3;
        scratch[3]=0xc2;  //UTF8 version of a5  should be infinity symbol
        scratch[4]=0xa5;
        cairo_surface_t *surface =
            cairo_image_surface_create (CAIRO_FORMAT_ARGB32, 240, 80);
        cairo_t *cr =
            cairo_create (surface);

        cairo_select_font_face (cr, "symbol", CAIRO_FONT_SLANT_NORMAL, CAIRO_FONT_WEIGHT_BOLD);
        cairo_set_font_size (cr, 32.0);
        cairo_set_source_rgb (cr, 0.0, 0.0, 1.0);
        cairo_move_to (cr, 10.0, 50.0);
        cairo_show_text (cr, scratch);

        cairo_destroy (cr);
        cairo_surface_write_to_png (surface, "cairosymbol.png");
        cairo_surface_destroy (surface);
        return 0;
}