#include <cairo.h>
#include <pango/pangocairo.h>
#include <strings.h>

int
main (int argc, char *argv[])
{
  unsigned char scratch[132]="";
        (void) strcpy(scratch,"Hello World");
        scratch[1]=0xc2;  //UTF8 version of b3  should be ge symbol
        scratch[2]=0xb3;
        scratch[3]=0xc2;  //UTF8 version of a5  should be infinity symbol
        scratch[4]=0xa5;
        cairo_surface_t *surface =
            cairo_image_surface_create (CAIRO_FORMAT_ARGB32, 240, 80);
        cairo_t *cr =
            cairo_create (surface);

        PangoLayout *layout;
        PangoFontDescription *font_description;
        
        font_description = pango_font_description_new ();
        pango_font_description_set_family (font_description, "symbol");
        pango_font_description_set_weight (font_description, PANGO_WEIGHT_BOLD);
        pango_font_description_set_absolute_size (font_description, 32 * PANGO_SCALE);
        
        layout = pango_cairo_create_layout (cr);
        pango_layout_set_font_description (layout, font_description);
        pango_layout_set_text (layout, scratch, -1);
        
        cairo_set_source_rgb (cr, 0.0, 0.0, 1.0);
        cairo_move_to (cr, 10.0, 50.0);
        pango_cairo_show_layout (cr, layout);
        
        g_object_unref (layout);
        pango_font_description_free (font_description);

        cairo_destroy (cr);
        cairo_surface_write_to_png (surface, "pangosymbol.png");
        cairo_surface_destroy (surface);
        return 0;
}

